> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/ro/documentatie-api/endpoint-uri-geo-pentru-acces-la-date-spatiale.md).

# Endpoint-uri geo pentru acces la date spațiale

{% hint style="success" %}
GeoPard folosește <https://www.ogc.org/> formate de date Open Geospatial Consortium precum WMS pentru imagini și WFS pentru date vectoriale. De asemenea, lucrăm cu shapefile-uri pentru import și export. Motorul este flexibil pentru a importa și exporta în oricare dintre aceste formate de date. Pentru imagini satelitare, lucrăm cu [COG-uri (GeoTIFF-uri optimizate pentru cloud)](https://www.cogeo.org/)
{% endhint %}

{% hint style="info" %}
Trebuie să instalați Postman pentru a executa cereri WMS/WFS.
{% endhint %}

{% hint style="info" %}
Fiecare cerere trebuie semnată cu HEADER „Authorization” (unde trebuie introdus tokenul) sau cu parametrul URL „geopardApiKey” (unde trebuie introdusă cheia API a utilizatorului).
{% endhint %}

Endpoint-urile API WMS sunt stocate în atributele „geoMaps” ale entităților „Field”, „FieldSatelliteImage”, „VectorAnalysisMap”, „RasterAnalysisMap”, „TopographyMap”, „SoilDataset”, „YieldDataset”. Verificați [GeoPard DataScheme.](/geopard-tutorials/ro/documentatie-api/schema-de-date-a-api-ului-geopard.md)

Endpoint-urile API WFS sunt stocate în „boundaryUrl”, „zonesMapUrl” și „attributesUrl” ale entităților „Field” și „VectorAnalysisMap”.

{% hint style="info" %}
Recomandăm utilizarea proiecției EPSG:900913 în loc de EPSG:3857 pentru a obține imagini mai precise.
{% endhint %}

<br>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/ro/documentatie-api/endpoint-uri-geo-pentru-acces-la-date-spatiale.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
